MapFilter Class Reference
Inheritance diagram for MapFilter:

## Public Member Functions

| MapFilter ()
FilterDecision | decide (const spi::LoggingEventPtr &event) const
Public Member Functions inherited from Filter
| Filter ()
void | addRef () const
void | releaseRef () const
log4cxx::spi::FilterPtr | getNext () const
void | setNext (const log4cxx::spi::FilterPtr &newNext)
void | activateOptions (log4cxx::helpers::Pool &p)
| Usually filters options become active when set. More...
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()

## Additional Inherited Members

Public Types inherited from Filter
enum | FilterDecision { DENY = -1, NEUTRAL = 0, ACCEPT = 1 }
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Constructor & Destructor Documentation

MapFilter | ( |  | ) |

## Member Function Documentation

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const

virtual

If the decision is `DENY`, then the event will be dropped. If the decision is `NEUTRAL`, then the next filter, if any, will be invoked. If the decision is ACCEPT then the event will be logged without consulting with other filters in the chain.

Parameters

  event | The LoggingEvent to decide upon.

Returns
  The decision of the filter.

Implements Filter.

The documentation for this class was generated from the following file:

- mapfilter.h